#!/bin/bash
LANGUAGES="es ca_ES@valencia"
DOMAIN="$(basename $(pwd))"
#set -x 
echo "Getting translations for domain $DOMAIN..."
xgettext -L Shell -o ${DOMAIN}.pot ../../${DOMAIN}.zmds/${DOMAIN}.zmd

for L in $LANGUAGES; do

    if [ -f "${L}.po" ]; then
        msgmerge -U ${L}.po ${DOMAIN}.pot
    else
        msginit --no-translator -i ${DOMAIN}.pot -l ${L}.UTF-8
    fi

done

POEDIT="$(type -fp poedit)"
if [ -n "$POEDIT" ]; then
    for L in $LANGUAGES; do
        poedit ${L}.po
        if [ -f "${L}.mo" ]; then
            rm -f ${L}.mo
        fi
    done
fi